#==================================================================================================================================================== 

# MATERIA: RCC0219 - Probabilidade e Estatística Aplicadas à Contabilidade I (2018)
# PROFESSOR: Davi Rogério de Moura Costa

# CURSO: Introdução ao R
# SCRIPT: Criando variáveis e operações básicas

#====================================================================================================================================================

# Pacote Swirl                             ----

## O pacote Swirl é um curso de R dentro do próprio R

install.packages("swirl")  # Instalando o pacote
library(swirl)             # Acionando a Library
swirl()                    # Acionando o pacote


# Atribuindo valor a uma variável          ----

x <- 2

# Removendo variável
rm(x)

# Criando um vetor (conjunto de variáveis) ----

y <- c(0,1,2,3,4)                # Escolhendo valores

z <- c(0:4)                      # Cria variáveis de 0 a 4 no vetor

a <- seq(from=0, to=1, length=9) # Cria uma sequência do 0 ao 1, com 9 dígitos
b <- seq(from=0, to=0.5, length=9)
c <- seq(from=0, to=10, by=2)    # Cria uma sequência do 0 ao 10, de dois em dois

# Operações Matemática                     -----


x + y             # Adição
x - y             # Subtração
x * y             # Multiplicação
x / y             # Divisão
x^y               # Exponencial
x+y[2]            # Adição de um valor específico de y
x-y[2:4]          # Subtração de valores específicos de y  


sqrt(9)           # Raiz Quadrada
abs(-1)           # Módulo ou valor absoluto
abs(1)            # Módulo ou valor absoluto
log(10)           # Logaritmo natural
log(10, base = 10)# Logaritmo base 10
log10(10)         # Também logaritmo de base 10
log(10, base = 3.4076) # Logaritmo base 3.4076
exp(1)            # Exponencial




# Operações Estatísticas descritiva        ----


mean(a)       # Média
var(a)        # Variância 
sd(a)         # Desvio Padrão
min(a)        # Valor Mínimo
median(a)     # Mediana
max(a)        # Valor Máximo
sum(a)        # Somatório
summary(a)    # Mín, Q1, Med, Méd, Q3 e Máx









# Criando Data Frame                       ----
Data_Frame <- data.frame(Nome_Coluna = c("Conteudo das colunas"), Outra_Coluna = c("Conteúdo da coluna"), 
                         Quantidade_linhas=c(1:10), stringsAsFactors = FALSE)
View(Data_Frame)

# Criando coluna
Data_Frame$Nova_Coluna <-c(seq(from=0, to=1, length=10))

# Alterando célula em uma coluna
Data_Frame[5,"Outra_Coluna"] <-  "Conteúdo Alterado" # Altera o dado da linha 5 e coluna 2

# Removeno coluna
Data_Frame$Nova_Coluna <- NULL

# Adicionando Linha
linha <- data.frame(Nome_Coluna = c("Novo Conteúdo"), Outra_Coluna = c("Novo Conteúdo"), 
                    Quantidade_linhas=11)
Data_Frame <- rbind(Data_Frame, linha)
Data_Frame

# Removendo Linha
Data_Frame[-3,]

# Removendo Data Frame
remove(Data_Frame)
